System.Web 2.0.0.0

The interface defines methods that a type can implement to serialize and deserialize the state that an ASP.NET Web server control maintains in its property. This infrastructure is used by classes that derive from the class to maintain an ASP.NET page's state between requests. By default, ASP.NET page state is serialized and deserialized by an instance of the class; however, site and adapter developers can implement the interface on their own types to perform this work.

For more information about Web server control state management and view state, see ASP.NET State Management Overview and Dynamic Web Server Controls and View State.

Defines methods that a type implements to serialize and deserialize an object graph.

- Method
  System.Object `` To be added.

  Use the method to reconstitute the state object for an ASP.NET page or server control that has been serialized using the method.

  Deserializes an object state graph from its serialized string form.

  An object that represents the state of an ASP.NET server control.

  2.0.0.0
- Method
  System.String ``

  Use the method to transform an object state graph to string form. Reconstitute a state object from the string using the method.

  Serializes ASP.NET Web server control state to string form.

  A string that represents a Web server control's view state.

  The object that represents the view state of the Web server control to serialize to string form. 2.0.0.0